# PredictedBox | @vladmandic/face-api - v1.7.6
Documentation for @vladmandic/face-api - v1.7.6

# Class PredictedBox

#### Hierarchy

- LabeledBox
  - PredictedBox

- Defined in classes/PredictedBox.ts:6

#####
Index

### Constructors

constructor

### Accessors

area
bottom
bottomLeft
bottomRight
classScore
height
label
left
right
score
top
topLeft
topRight
width
x
y

### Methods

calibrate
clipAtImageBorders
floor
pad
padAtBorders
rescale
round
shift
toSquare
assertIsValidBox
assertIsValidLabeledBox
assertIsValidPredictedBox
isRect

## Constructors

### constructor

- new PredictedBox(box: any, label: number, score: number, classScore: number): PredictedBox

- #### Parameters

  - ##### box: any

  - ##### label: number

  - ##### score: number

  - ##### classScore: number

  #### Returns PredictedBox

  Overrides LabeledBox.constructor

  - Defined in classes/PredictedBox.ts:22

## Accessors

### area

- get area(): number

- #### Returns number

  Inherited from LabeledBox.area

  - Defined in classes/Box.ts:70

### bottom

- get bottom(): number

- #### Returns number

  Inherited from LabeledBox.bottom

  - Defined in classes/Box.ts:68

### bottomLeft

- get bottomLeft(): Point

- #### Returns Point

  Inherited from LabeledBox.bottomLeft

  - Defined in classes/Box.ts:76

### bottomRight

- get bottomRight(): Point

- #### Returns Point

  Inherited from LabeledBox.bottomRight

  - Defined in classes/Box.ts:78

### classScore

- get classScore(): number

- #### Returns number

  - Defined in classes/PredictedBox.ts:30

### height

- get height(): number

- #### Returns number

  Inherited from LabeledBox.height

  - Defined in classes/Box.ts:60

### label

- get label(): number

- #### Returns number

  Inherited from LabeledBox.label

  - Defined in classes/LabeledBox.ts:21

### left

- get left(): number

- #### Returns number

  Inherited from LabeledBox.left

  - Defined in classes/Box.ts:62

### right

- get right(): number

- #### Returns number

  Inherited from LabeledBox.right

  - Defined in classes/Box.ts:66

### score

- get score(): number

- #### Returns number

  - Defined in classes/PredictedBox.ts:28

### top

- get top(): number

- #### Returns number

  Inherited from LabeledBox.top

  - Defined in classes/Box.ts:64

### topLeft

- get topLeft(): Point

- #### Returns Point

  Inherited from LabeledBox.topLeft

  - Defined in classes/Box.ts:72

### topRight

- get topRight(): Point

- #### Returns Point

  Inherited from LabeledBox.topRight

  - Defined in classes/Box.ts:74

### width

- get width(): number

- #### Returns number

  Inherited from LabeledBox.width

  - Defined in classes/Box.ts:58

### x

- get x(): number

- #### Returns number

  Inherited from LabeledBox.x

  - Defined in classes/Box.ts:54

### y

- get y(): number

- #### Returns number

  Inherited from LabeledBox.y

  - Defined in classes/Box.ts:56

## Methods

### calibrate

- calibrate(region: Box <any>): Box <any>

- #### Parameters

  - ##### region: Box <any>

  #### Returns Box <any>

  Inherited from LabeledBox.calibrate

  - Defined in classes/Box.ts:189

### clipAtImageBorders

- clipAtImageBorders(imgWidth: number, imgHeight: number): Box <any>

- #### Parameters

  - ##### imgWidth: number

  - ##### imgHeight: number

  #### Returns Box <any>

  Inherited from LabeledBox.clipAtImageBorders

  - Defined in classes/Box.ts:134

### floor

- floor(): Box <any>

- #### Returns Box <any>

  Inherited from LabeledBox.floor

  - Defined in classes/Box.ts:88

### pad

- pad(padX: number, padY: number): Box <any>

- #### Parameters

  - ##### padX: number

  - ##### padY: number

  #### Returns Box <any>

  Inherited from LabeledBox.pad

  - Defined in classes/Box.ts:124

### padAtBorders

- padAtBorders(imageHeight: number, imageWidth: number): {
  dx: number;
  dy: number;
  edx: number;
  edy: number;
  ex: number;
  ey: number;
  h: number;
  w: number;
  x: number;
  y: number;
  }

- #### Parameters

  - ##### imageHeight: number

  - ##### imageWidth: number

  #### Returns {
  dx: number;
  dy: number;
  edx: number;
  edy: number;
  ex: number;
  ey: number;
  h: number;
  w: number;
  x: number;
  y: number;
  }

  - ##### dx: number

  - ##### dy: number

  - ##### edx: number

  - ##### edy: number

  - ##### ex: number

  - ##### ey: number

  - ##### h: number

  - ##### w: number

  - ##### x: number

  - ##### y: number

  Inherited from LabeledBox.padAtBorders

  - Defined in classes/Box.ts:155

### rescale

- rescale(s: number | IDimensions ): Box <any>

- #### Parameters

  - ##### s: number | IDimensions

  #### Returns Box <any>

  Inherited from LabeledBox.rescale

  - Defined in classes/Box.ts:113

### round

- round(): Box <any>

- #### Returns Box <any>

  Inherited from LabeledBox.round

  - Defined in classes/Box.ts:80

### shift

- shift(sx: number, sy: number): Box <any>

- #### Parameters

  - ##### sx: number

  - ##### sy: number

  #### Returns Box <any>

  Inherited from LabeledBox.shift

  - Defined in classes/Box.ts:147

### toSquare

- toSquare(): Box <any>

- #### Returns Box <any>

  Inherited from LabeledBox.toSquare

  - Defined in classes/Box.ts:96

### `Static` assertIsValidBox

- assertIsValidBox(box: any, callee: string, allowNegativeDimensions?: boolean): void

- #### Parameters

  - ##### box: any

  - ##### callee: string

  - ##### allowNegativeDimensions: boolean = false

  #### Returns void

  Inherited from LabeledBox.assertIsValidBox

  - Defined in classes/Box.ts:12

### `Static` assertIsValidLabeledBox

- assertIsValidLabeledBox(box: any, callee: string): void

- #### Parameters

  - ##### box: any

  - ##### callee: string

  #### Returns void

  Inherited from LabeledBox.assertIsValidLabeledBox

  - Defined in classes/LabeledBox.ts:7

### `Static` assertIsValidPredictedBox

- assertIsValidPredictedBox(box: any, callee: string): void

- #### Parameters

  - ##### box: any

  - ##### callee: string

  #### Returns void

  - Defined in classes/PredictedBox.ts:7

### `Static` isRect

- isRect(rect: any): boolean

- #### Parameters

  - ##### rect: any

  #### Returns boolean

  Inherited from LabeledBox.isRect

  - Defined in classes/Box.ts:8